@echo off

rem *** INSTALATOR MUST SET APPROPRIATE DIRECTORY ***

rem SET _IDE_HOME=.. 

cd ..

rem *** INSTALATOR MUST SET APPROPRIATE DIRECTORY ***

SET JAVA_PATH=%JAVA_PATH%

rem *** REMOVE THIS PART BEFORE ADDING TO INSTALLATOR

if %JAVA_PATH%. == . goto SET_JAVA

GOTO RUN

:SET_JAVA

SET JAVA_PATH=

:RUN

rem *** END OF PART TO REMOVE ***


:CHECK_ENV

if %JAVA_PATH%. == . goto NO_JAVA_PATH

if not exist %JAVA_PATH%\bin\java.exe goto NO_JAVA

rem Everything seems to be OK, lets go ...

:RESTART

SET EX_PATH=

FOR %%f IN ( "lib\*.jar" ) DO CALL bin\unsupported\add2path.bat %%f ext
FOR %%f IN ( "lib\*.zip" ) DO CALL bin\unsupported\add2path.bat %%f ext

IF not exist "lib\patches" goto NO_PATCH

FOR %%f IN ( "lib\patches\*.jar" ) DO CALL bin\unsupported\add2path.bat "%%f" ext
FOR %%f IN ( "lib\patches\*.zip" ) DO CALL bin\unsupported\add2path.bat "%%f" ext

:NO_PATCH

IF not exist "lib\ext" goto NO_EXT

FOR %%f IN ( "lib\ext\*.jar" ) DO CALL bin\unsupported\add2path.bat "%%f" ext
FOR %%f IN ( "lib\ext\*.zip" ) DO CALL bin\unsupported\add2path.bat "%%f" ext

:NO_EXT


SET IDE_CLASSPATH=lib\upgrade\upgrade.jar;%EX_PATH%;%JAVA_PATH%\lib\dt.jar;%JAVA_PATH%\lib\tools.jar

rem echo %IDE_CLASSPATH%

%JAVA_PATH%\bin\java -classpath "%IDE_CLASSPATH%" -Xmx96m org.netbeans.upgrade.FileCopy %1 %2 %3 

cd bin

goto END

:NO_JAVA_PATH

echo Warning!

echo JAVA_PATH environment variable not found.

echo Please set JAVA_PATH to JDK home.

echo Example: SET JAVA_PATH=C:\jdk1.3

goto END

:NO_JAVA

echo Warning!

echo JAVA_PATH environment variable was found, but java.exe is missing!

goto END

:END
